import asyncio
import logging

import cv2

logger = logging.getLogger(__name__)


async def ip_ping(host: str) -> bool:
    logger.debug(f"Pinging {host}")
    process = await asyncio.create_subprocess_exec("ping", "-w", "3", "-c", "1", host, stdout=asyncio.subprocess.DEVNULL, stderr=asyncio.subprocess.DEVNULL)
    return_code = await process.wait()
    logger.debug(f"Finished pinging {host}")
    return return_code == 0

async def tcp_ping(host: str, port: int) -> bool:
    ...

def video_ping(url: str) -> bool:
    capture = cv2.VideoCapture(url)
    success, _ = capture.read()
    capture.release()
    return success

